Daemon Power

The NetBSD Packages Collection: devel/py-ipykernel

Brief description of the package:
IPython Kernel for Jupyter

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://ipython.org/.

Please note that this package has a modified-bsd license.

The package is located in the "devel/py-ipykernel" directory. The current source version of the package is "py37-ipykernel-5.1.3". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/py-ipykernel :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: py37-ipython>=5.0.0 py37-backcall-[0-9]* python37>=3.7 libffi>=1.20 cwrappers>=20150314 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 py37-decorator-[0-9]* py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.5 py37-jedi>=0.10 py37-parso>=0.1.0 py37-readline-[0-9]* py37-pexpect-[0-9]* py37-ptyprocess>=0.5 py37-pickleshare-[0-9]* py37-prompt_toolkit>=2.0.0 py37-six>=1.9.0 py37-wcwidth-[0-9]* py37-pygments-[0-9]* py37-setuptools>=18.5 py37-simplegeneric>0.8 py37-sqlite3-[0-9]* py37-traitlets>=4.2 py37-ipython_genutils-[0-9]* py37-six-[0-9]* py37-jupyter_client-[0-9]* py37-dateutil>=2.1 py37-six>=1.5 py37-setuptools_scm-[0-9]* py37-jupyter_core-[0-9]* py37-traitlets>=4.1.0 py37-tornado>=4.1 py37-curl>=7.18.2 curl>=7.19.0 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 nghttp2>=1.39.2nb1 curl>=7.12.3 curl>=7.65.3nb3 py37-zmq>=13.0.0 py37-cython-[0-9]* zeromq>=2.0.11 libsodium>=0.3 zeromq>=4.0.5 py37-tornado>=4.2 .

This package requires the following package(s) to run: py37-ipython>=5.0.0 py37-backcall-[0-9]* python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 py37-decorator-[0-9]* py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.5 py37-jedi>=0.10 py37-parso>=0.1.0 py37-readline-[0-9]* readline>=2.2 readline>=6.0 py37-pexpect-[0-9]* py37-ptyprocess>=0.5 py37-pickleshare-[0-9]* py37-prompt_toolkit>=2.0.0 py37-six>=1.9.0 py37-wcwidth-[0-9]* py37-pygments-[0-9]* py37-setuptools>=18.5 py37-simplegeneric>0.8 py37-sqlite3-[0-9]* py37-traitlets>=4.2 py37-ipython_genutils-[0-9]* py37-six-[0-9]* py37-jupyter_client-[0-9]* py37-dateutil>=2.1 py37-six>=1.5 py37-jupyter_core-[0-9]* py37-traitlets>=4.1.0 py37-tornado>=4.1 py37-curl>=7.18.2 curl>=7.19.0 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 nghttp2>=1.39.2nb1 curl>=7.12.3 curl>=7.65.3nb3 py37-zmq>=13.0.0 py37-cython-[0-9]* zeromq>=2.0.11 libsodium>=0.3 zeromq>=4.0.5 py37-tornado>=4.2 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:py35-ipykernel-5.1.0.tgz(NetBSD 8.0)
alpha:py36-ipykernel-5.1.0.tgz(NetBSD 8.0)
alpha:py37-ipykernel-5.1.0.tgz(NetBSD 8.0)
alpha:py35-ipykernel-5.1.0.tgz(NetBSD 8.0)
alpha:py36-ipykernel-5.1.0.tgz(NetBSD 8.0)
alpha:py37-ipykernel-5.1.0.tgz(NetBSD 8.0)
alpha:py36-ipykernel-5.1.1.tgz(NetBSD 8.0)
alpha:py37-ipykernel-5.1.1.tgz(NetBSD 8.0)
alpha:py36-ipykernel-5.1.2.tgz(NetBSD 8.0)
alpha:py37-ipykernel-5.1.2.tgz(NetBSD 8.0)
earm:py36-ipykernel-5.1.0.tgz(NetBSD 8.0)
earm:py37-ipykernel-5.1.0.tgz(NetBSD 8.0)
earmv6hf:py36-ipykernel-5.1.2.tgz(NetBSD 8.0)
earmv6hf:py37-ipykernel-5.1.2.tgz(NetBSD 8.0)
earmv6hf:py36-ipykernel-5.1.1.tgz(NetBSD 8.0)
earmv6hf:py37-ipykernel-5.1.1.tgz(NetBSD 8.0)
earmv7hf:py36-ipykernel-5.1.2.tgz(NetBSD 8.0)
earmv7hf:py37-ipykernel-5.1.2.tgz(NetBSD 8.0)
earmv7hf:py36-ipykernel-5.1.1.tgz(NetBSD 8.0)
earmv7hf:py37-ipykernel-5.1.1.tgz(NetBSD 8.0)
i386:py36-ipykernel-5.1.2.tgz(NetBSD 7.0)
i386:py37-ipykernel-5.1.2.tgz(NetBSD 7.0)
i386:py36-ipykernel-5.1.0.tgz(NetBSD 7.0)
i386:py37-ipykernel-5.1.0.tgz(NetBSD 7.0)
i386:py36-ipykernel-5.1.1.tgz(NetBSD 7.0)
i386:py37-ipykernel-5.1.1.tgz(NetBSD 7.0)
i386:py36-ipykernel-5.1.0.tgz(NetBSD 7.1)
i386:py37-ipykernel-5.1.0.tgz(NetBSD 7.1)
i386:py36-ipykernel-5.1.1.tgz(NetBSD 7.1)
i386:py37-ipykernel-5.1.1.tgz(NetBSD 7.1)
i386:py36-ipykernel-5.1.2.tgz(NetBSD 7.1)
i386:py37-ipykernel-5.1.2.tgz(NetBSD 7.1)
i386:py36-ipykernel-5.1.2.tgz(NetBSD 8.0)
i386:py37-ipykernel-5.1.2.tgz(NetBSD 8.0)
i386:py35-ipykernel-5.1.0.tgz(NetBSD 8.0)
i386:py36-ipykernel-5.1.0.tgz(NetBSD 8.0)
i386:py37-ipykernel-5.1.0.tgz(NetBSD 8.0)
i386:py36-ipykernel-5.1.1.tgz(NetBSD 8.0)
i386:py37-ipykernel-5.1.1.tgz(NetBSD 8.0)
powerpc:py35-ipykernel-5.1.0.tgz(NetBSD 7.1)
powerpc:py36-ipykernel-5.1.0.tgz(NetBSD 7.1)
powerpc:py37-ipykernel-5.1.0.tgz(NetBSD 7.1)
powerpc:py36-ipykernel-5.1.2.tgz(NetBSD 8.0)
powerpc:py37-ipykernel-5.1.2.tgz(NetBSD 8.0)
powerpc:py36-ipykernel-5.1.1.tgz(NetBSD 9.0)
powerpc:py37-ipykernel-5.1.1.tgz(NetBSD 9.0)
sparc64:py27-ipykernel-4.8.2.tgz(NetBSD 7.1)
sparc64:py34-ipykernel-4.8.2.tgz(NetBSD 7.1)
sparc64:py35-ipykernel-4.8.2.tgz(NetBSD 7.1)
sparc64:py36-ipykernel-4.8.2.tgz(NetBSD 7.1)
sparc64:py36-ipykernel-5.1.1.tgz(NetBSD 8.0)
sparc64:py37-ipykernel-5.1.1.tgz(NetBSD 8.0)
sparc64:py36-ipykernel-5.1.2.tgz(NetBSD 8.0)
sparc64:py37-ipykernel-5.1.2.tgz(NetBSD 8.0)
x86_64:py27-ipykernel-4.8.2.tgz(Linux 4.15.0)
x86_64:py34-ipykernel-4.8.2.tgz(Linux 4.15.0)
x86_64:py35-ipykernel-4.8.2.tgz(Linux 4.15.0)
x86_64:py36-ipykernel-4.8.2.tgz(Linux 4.15.0)
x86_64:py36-ipykernel-5.1.2.tgz(NetBSD 7.0)
x86_64:py37-ipykernel-5.1.2.tgz(NetBSD 7.0)
x86_64:py36-ipykernel-5.1.0.tgz(NetBSD 7.0)
x86_64:py37-ipykernel-5.1.0.tgz(NetBSD 7.0)
x86_64:py36-ipykernel-5.1.1.tgz(NetBSD 7.0)
x86_64:py37-ipykernel-5.1.1.tgz(NetBSD 7.0)
x86_64:py36-ipykernel-5.1.2.tgz(NetBSD 7.1)
x86_64:py37-ipykernel-5.1.2.tgz(NetBSD 7.1)
x86_64:py36-ipykernel-5.1.0.tgz(NetBSD 7.1)
x86_64:py37-ipykernel-5.1.0.tgz(NetBSD 7.1)
x86_64:py36-ipykernel-5.1.1.tgz(NetBSD 7.1)
x86_64:py37-ipykernel-5.1.1.tgz(NetBSD 7.1)
x86_64:py35-ipykernel-5.1.0.tgz(NetBSD 8.0)
x86_64:py36-ipykernel-5.1.0.tgz(NetBSD 8.0)
x86_64:py37-ipykernel-5.1.0.tgz(NetBSD 8.0)
x86_64:py36-ipykernel-5.1.1.tgz(NetBSD 8.0)
x86_64:py37-ipykernel-5.1.1.tgz(NetBSD 8.0)
x86_64:py36-ipykernel-5.1.2.tgz(NetBSD 8.0)
x86_64:py37-ipykernel-5.1.2.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]